/* /Components/Vehicle/VehiclePartsGrid.razor.rz.scp.css */
/* Prevent row hover background from affecting link appearance */

a.rz-link[b-bln74bzqg8] {
    color: var(--rz-primary);
    text-decoration: underline;
}

a.rz-link:hover[b-bln74bzqg8] {
    background-color: transparent; /* keep row hover background from covering link */
    color: var(--rz-primary);
    text-decoration: underline;
}

/* Ensure link background stays transparent even when its parent row is hovered */
.rz-data-grid-row:hover a.rz-link[b-bln74bzqg8] {
    background-color: transparent;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-avso0pewau] {
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow: hidden;
}

.sidebar[b-avso0pewau] {
    background-color: #f7f7f7;
    overflow-y: auto;
}

main[b-avso0pewau] {
    flex: 1;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
}

.top-row[b-avso0pewau] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

article.content[b-avso0pewau] {
    flex: 1;
    overflow-y: auto;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.top-row[b-avso0pewau]  a,
.top-row[b-avso0pewau]  .btn-link {
    white-space: nowrap;
    margin-left: 1.5rem;
    text-decoration: none;
    color: #0071c1;
}

.top-row[b-avso0pewau]  a:hover,
.top-row[b-avso0pewau]  .btn-link:hover {
    text-decoration: underline;
}

.top-row[b-avso0pewau]  a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.bi[b-avso0pewau] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
    vertical-align: middle;
}

@media (max-width: 640.98px) {
    .top-row[b-avso0pewau] {
        justify-content: space-between;
    }

    .top-row[b-avso0pewau]  a,
    .top-row[b-avso0pewau]  .btn-link {
        margin-left: 0.5rem;
    }

    .top-row[b-avso0pewau]  a:first-child {
        flex-grow: 0;
        margin-right: 0.5rem;
    }
}

@media (min-width: 641px) {
    .page[b-avso0pewau] {
        flex-direction: row;
    }
    
    .sidebar[b-avso0pewau] {
        width: 175px;
        flex-shrink: 0;
    }
    
    .top-row[b-avso0pewau] {
        position: sticky;
        top: 0;
        z-index: 1;
    }
    
    .top-row.auth[b-avso0pewau]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }
}
/* /Shared/NavMenu.razor.rz.scp.css */
.top-row[b-tdyowvfuf0] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-tdyowvfuf0] {
    font-size: 1.1rem;
}
